package cachingsvc

import (
	"context"

	cachingdomain "legalgo-BE-go/internal/domain/caching"

	"github.com/redis/go-redis/v9"
)

type impl struct {
	redisClient *redis.Client
}

type implIntf interface {
	Set(context.Context, cachingdomain.CacheSpec) error
}

func New() implIntf {
	return &impl{}
}
